<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="utf-8">
    <meta name="author" content="Gabriel Roda">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1">
    <title>placeholder</title>

    <!-- Primary Meta Tags -->
    <title>placeholder</title>
    <meta name="title" content="placeholder">
    <meta name="description" content="lugar onde guardamos nossas receitas">

    <!-- Open Graph / Facebook -->
    <meta property="og:type" content="website">
    <meta property="og:url" content="https://receitas.roda.directory/">
    <meta property="og:title" content="placeholder">
    <meta property="og:description" content="lugar onde guardamos nossas receitas">
    <meta property="og:image" content="https://receitas.roda.directory/img/icon.png">

    <!-- Twitter -->
    <meta property="twitter:card" content="summary_large_image">
    <meta property="twitter:url" content="https://receitas.roda.directory/">
    <meta property="twitter:title" content="placeholder">
    <meta property="twitter:description" content="lugar onde guardamos nossas receitas">
    <meta property="twitter:image" content="https://receitas.roda.directory/img/icon.png">

    <!-- favicon -->
    <link rel="icon" type="image/png" href="img/favicon.png">

    <!-- pwa -->
    <link rel="manifest" href="./manifest.json">

    <meta name="theme-color" content="#ff958f" />

    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="apple-mobile-web-app-title" content="placeholder">
    <link rel="apple-touch-icon" href="./img/i-512.png">

    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-CWQN66X5R1"></script>
    <script>
        window.dataLayer = window.dataLayer || [];

        function gtag() {
            dataLayer.push(arguments);
        }
        gtag('js', new Date());

        gtag('config', 'G-CWQN66X5R1');
    </script>

    <!-- styles -->
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/index.css">

    <!-- scripts -->
    <script src="js/main.js" defer></script>

    <!-- Defered fonts -->
    <noscript>
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Nunito|Pacifico&display=swap" rel="stylesheet">
    </noscript>
</head>

<body>
    <div class="login-area">
        <div class="wrapper">
            <div class="login-titulo">
                <h1><i class="material-icons">local_dining</i>Placeholder</h1>

                <p>Faça login com sua conta Google para continuar.</p>
            </div>
            <div class="botao-login"></div>
        </div>
    </div>

    <div class="header">
        <h1 class="title">Placeholder</h1>
        <button class="user-button" title="Sair" onclick="signOut()">
            <i class="material-icons">person</i>
        </button>
    </div>

    <div class="content">
    </div>

    <div class="footer">
        <span>made with <b>❤</b></span>
    </div>

    <div class="popup">
        <button class="popup-close" onclick="closePopup()">
            &times;
        </button>

        <div class="popup-content">
            <img class="pop-img" src="">
            <h3 class="pop-title"></h3>

            <div class="pop-ingredientes">
            </div>

            <div class="pop-preparo">
            </div>
        </div>
    </div>

    <div class="add-pannel">
        <button class="popup-close" onclick="toggleAddPannel()">
            &times;
        </button>

        <div class="add-content">
            <h3>Nova receita</h3>

            <div class="input-g">
                <input type="file" name="file" id="file" class="inputfile" accept="image/*"
                    onchange="uploadImage(event)">
                <label for="file">Escolher imagem</label>
            </div>

            <div class="input-g">
                <label for="rec-nome">Nome</label>
                <input type="text" name="rec-nome" class="rec-nome">
            </div>

            <div class="input-g ingredientes">
                <label for="rec-ing">Ingredientes</label>
                <input type="text" name="rec-ing">

                <button class="add-item" onclick="addItem(this)">&plus;</button>
            </div>

            <div class="input-g preparo">
                <label for="rec-ing">Preparo</label>
                <input type="text" name="rec-ing">

                <button class="add-item" onclick="addItem(this)">&plus;</button>
            </div>

            <div class="add-footer">
                <button class="close" onclick="toggleAddPannel()">Fechar</button>
                <button class="save" onclick="saveNewRecipe()">Salvar</button>
            </div>
        </div>
    </div>

    <button class="button-add" onclick="toggleAddPannel()">
        <i class="material-icons">add</i>
    </button>

    <!-- Firebase local -->
    <!-- <script src="https://www.gstatic.com/firebasejs/7.3.0/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/7.3.0/firebase-auth.js"></script>
    <script src="https://www.gstatic.com/firebasejs/7.3.0/firebase-firestore.js"></script>
    <script src="https://www.gstatic.com/firebasejs/7.3.0/firebase-storage.js"></script>
    <script>
        // Your web app's Firebase configuration
        var firebaseConfig = {
            apiKey: "AIzaSyBChSVTJgxRCeiptT1x7r9ejyp9prIcdHM",
            authDomain: "fome-64e16.firebaseapp.com",
            databaseURL: "https://fome-64e16.firebaseio.com",
            projectId: "fome-64e16",
            storageBucket: "fome-64e16.appspot.com",
            messagingSenderId: "423685663252",
            appId: "1:423685663252:web:4eca0c36b5bcd5fd"
        };
        // Initialize Firebase
        firebase.initializeApp(firebaseConfig);
    </script> -->

    <!-- Firebase deploy -->
    <script src="/__/firebase/7.3.0/firebase-app.js"></script>
    <script src="/__/firebase/7.3.0/firebase-auth.js"></script>
    <script src="/__/firebase/7.3.0/firebase-firestore.js"></script>
    <script src="/__/firebase/7.3.0/firebase-storage.js"></script>
    <script src="/__/firebase/init.js"></script>

    <script src="https://cdn.firebase.com/libs/firebaseui/4.1.0/firebaseui.js"></script>
    <link type="text/css" rel="stylesheet" href="https://cdn.firebase.com/libs/firebaseui/4.1.0/firebaseui.css" />
</body>

<script>
    /* Defer font loading */
    var font_1 = document.createElement('link');
    font_1.rel = 'stylesheet';
    font_1.href = 'https://fonts.googleapis.com/icon?family=Material+Icons&display=swap';
    var font_1_el = document.getElementsByTagName('link')[0];
    font_1_el.parentNode.insertBefore(font_1, font_1_el);

    var font_2 = document.createElement('link');
    font_2.rel = 'stylesheet';
    font_2.href =
        'https://fonts.googleapis.com/css?family=Nunito|Pacifico&display=swap';
    var font_2_el = document.getElementsByTagName('link')[0];
    font_2_el.parentNode.insertBefore(font_2, font_2_el);

    //register service worker
    if ('serviceWorker' in navigator) {
        // Use the window load event to keep the page load performant
        window.addEventListener('load', () => {
            navigator.serviceWorker.register('./service-worker.js');
        });
    }
</script>

</html>